USN-1771-1: OpenStack Nova vulnerabilities

Ubuntu Security Notice USN-1771-1

20th March, 2013

nova vulnerabilities

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 12.10
  • Ubuntu 12.04 LTS
  • Ubuntu 11.10

Summary

Two security issues were fixed in Nova.

Software description

  • nova - OpenStack Compute cloud infrastructure

Details

Loganathan Parthipan discovered that Nova did not properly validate VNC
tokens after an instance was deleted. An authenticated attacker could
exploit this to access other virtual machines under certain circumstances.
This issue did not affect Ubuntu 11.10. (CVE-2013-0335)

Vish Ishaya discovered that Nova did not always enforce quotas on fixed
IPs. An authenticated attacker could exploit this to cause a denial of
service via resource consumption. Nova will now enforce a quota limit of
10 fixed IPs per instance, which is configurable via 'quota_fixed_ips'
in /etc/nova/nova.conf. (CVE-2013-1838)

Update instructions

The problem can be corrected by updating your system to the following package version:

Ubuntu 12.10:
python-nova 2012.2.1+stable-20121212-a99a802e-0ubuntu1.4
Ubuntu 12.04 LTS:
python-nova 2012.1.3+stable-20120827-4d2a4afe-0ubuntu1.4
Ubuntu 11.10:
python-nova 2011.3-0ubuntu6.13

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system update will make all the necessary changes.

References

CVE-2013-0335, CVE-2013-1838